FeatureDrawingAttributes (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class FeatureDrawingAttributes

    java.lang.Object
      com.bbn.openmap.omGraphics.DrawingAttributes
          com.bbn.openmap.layer.vpf.FeatureDrawingAttributes

All Implemented Interfaces:
  ShapeRenderer, PropertyConsumer, java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

    public class FeatureDrawingAttributes

extends DrawingAttributes

The FeatureDrawingAttributes class is used by the VPFFeatureGraphicWarehouse to control the fetching and display of feature attributes out of the feature attribute file, controlled by the FeatureClassInfo class.

Author:
  dietrick
See Also:
  Serialized Form

Nested Class Summary
`class` | `FeatureDrawingAttributes.DisplayTypeChoice`
`class` | `FeatureDrawingAttributes.FCIChoice`

Nested classes/interfaces inherited from class com.bbn.openmap.omGraphics.DrawingAttributes
`DrawingAttributes.Builder, DrawingAttributes.DrawingAttributesGUIButton`

Field Summary
`protected int` | `attributeCol` The chosen attribute column index in the FCI file.
`protected java.lang.String` | `attributeColName` The desired attribute column name as specified in properties.
`protected javax.swing.JComboBox` | `attributeJCB` The GUI combo box for attribute choices.
`protected javax.swing.JPanel` | `attributePanel` The GUI panel containing the attribute fetching choices.
`static java.lang.String` | `AttributeProperty`
`protected java.lang.String` | `displayType` The chosen display type, which gets set as a property in each OMGraphic for retrieval by the layer.
`protected javax.swing.JComboBox` | `displayTypeJCB` The GUI combo box for choices on how to display the attributes.
`static java.lang.String` | `DisplayTypeProperty`
`protected FeatureClassInfo` | `fci` A handle to the FeatureClassInfo class containing the attribute information.
`protected javax.swing.JPanel` | `guiPanel` The main GUI panel containing the superclass GUI and attribute-fetching GUI.

Fields inherited from class com.bbn.openmap.omGraphics.DrawingAttributes
`alwaysSetTextToBlack, baseScale, baseScaleProperty, bse, capProperty, dashPatternProperty, dashPhaseProperty, DEFAULT, defaultDashLength, defaultDashPhase, defaultFillPaintString, defaultLinePaintString, defaultLineWidth, defaultMattingPaintString, defaultSelectPaintString, enableFillPaintChoice, FillColorCommand, fillColorItem, fillPaint, fillPaintProperty, fillPattern, fillPatternProperty, fPattern, i18n, icon_height, icon_width, joinProperty, LineColorCommand, lineColorItem, lineMenuAdditions, linePaint, linePaintProperty, lineWidthProperty, logger, matted, MattedCommand, mattedEnabledItem, mattedProperty, MattingColorCommand, mattingColorItem, mattingPaint, mattingPaintProperty, miterLimitProperty, NONE, orientation, pointOval, PointOvalProperty, pointRadius, PointRadiusProperty, propertyChangeSupport, propertyPrefix, SelectColorCommand, selectColorItem, selectPaint, selectPaintProperty, stroke`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`FeatureDrawingAttributes()` Default creation of the FeatureDrawingAttributes.
`FeatureDrawingAttributes(java.util.Properties props)`
`FeatureDrawingAttributes(java.lang.String prefix, java.util.Properties props)`

Method Summary
`protected int` | `getAttributeCol()` Retrieve the column index number out of the feature class info file that is being used/displayed.
`java.lang.String` | `getAttributeColName()`
`java.lang.String` | `getDisplayType()`
`FeatureClassInfo` | `getFci()`
`java.awt.Component` | `getGUI()` Return the GUI controls for this feature = the basic DrawingAttributes GUI from the superclass, plus the other attribute display controls.
`java.util.Properties` | `getProperties(java.util.Properties props)` PropertyConsumer method that retrieves the current values of settable properties.
`java.util.Properties` | `getPropertyInfo(java.util.Properties props)` PropertyConsumer method that gathers information about the settable properties.
`protected void` | `setAttributeCol(int col)` Set the column index number in the feature class info file that will be used/displayed.
`void` | `setAttributeColName(java.lang.String attributeColName)`
`void` | `setDisplayType(java.lang.String displayType)`
`void` | `setFci(FeatureClassInfo fci)`
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the `DrawingAttributes`.
`void` | `setTo(OMGraphic omg, int id)` Set the attributes chosen in the GUI on the OMGraphic.
`protected void` | `updateAttributeGUI()`

Methods inherited from class com.bbn.openmap.omGraphics.DrawingAttributes
`actionPerformed, calculateTextColor, clone, cloneBasicStroke, equals, getALineButton, getBaseScale, getBasicStrokeEditor, getColorAndLineMenu, getColorMenu, getDefaultClone, getDrawingAttributesIcon, getFillPaint, getFillPaintForScale, getFillPattern, getGradientPaintForShape, getIconForPaint, getInitPropertiesOrder, getLineMenuAdditions, getLinePaint, getLock, getMattedIcon, getMattingIconForPaint, getMattingPaint, getNewPaint, getOrientation, getPaletteIcon, getPointRadius, getPropertyChangeSupport, getPropertyPrefix, getSelectPaint, getStroke, getStrokeForScale, hashCode, init, init, isClear, isEnableFillPaintChoice, isMatted, isPointOval, normalizeOn128, propertyChange, releaseLock, render, render, resetGUI, setBaseScale, setEnableFillPaintChoice, setFillPaint, setFillPattern, setFrom, setFrom, setLineMenuAdditions, setLinePaint, setMatted, setMattingPaint, setOMGraphicAttributesForScale, setOMGraphicEdgeAttributes, setOMGraphicEdgeAttributesForScale, setOrientation, setPointOval, setPointRadius, setPostStrokeMenuOptions, setPreStrokeMenuOptions, setProperties, setPropertyChangeSupport, setPropertyPrefix, setSelectPaint, setStroke, setStrokeMenuOptions, setTo, setTo, setTo, sTransfer, toString, transfer`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### guiPanel

    protected javax.swing.JPanel guiPanel

  The main GUI panel containing the superclass GUI and attribute-fetching GUI.

### attributePanel

    protected javax.swing.JPanel attributePanel

  The GUI panel containing the attribute fetching choices.

### fci

    protected FeatureClassInfo fci

  A handle to the FeatureClassInfo class containing the attribute information.

### attributeJCB

    protected javax.swing.JComboBox attributeJCB

  The GUI combo box for attribute choices.

### displayTypeJCB

    protected javax.swing.JComboBox displayTypeJCB

  The GUI combo box for choices on how to display the attributes.

### displayType

    protected java.lang.String displayType

  The chosen display type, which gets set as a property in each OMGraphic for retrieval by the layer.

### attributeCol

    protected int attributeCol

  The chosen attribute column index in the FCI file.

### attributeColName

    protected java.lang.String attributeColName

  The desired attribute column name as specified in properties.

### DisplayTypeProperty

    public static final java.lang.String DisplayTypeProperty

See Also:
  Constant Field Values

### AttributeProperty

    public static final java.lang.String AttributeProperty

See Also:
  Constant Field Values

Constructor Detail

### FeatureDrawingAttributes

    public FeatureDrawingAttributes()

  Default creation of the FeatureDrawingAttributes.

### FeatureDrawingAttributes

    public FeatureDrawingAttributes(java.util.Properties props)

Parameters:
  `props` -

### FeatureDrawingAttributes

    public FeatureDrawingAttributes(java.lang.String prefix,
                                    java.util.Properties props)

Parameters:
  `prefix` -
  `props` -

Method Detail

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `DrawingAttributes`
  Sets the properties for the `DrawingAttributes`. Part of the PropertyConsumer interface. DrawingAttributess which override this method should do something like:

       public void setProperties(String prefix, Properties props) {
           super.setProperties(prefix, props);
           // do local stuff
       }

  If the addToBeanContext property is not defined, it is set to false here.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `DrawingAttributes`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### getProperties

    public java.util.Properties getProperties(java.util.Properties props)

  PropertyConsumer method that retrieves the current values of settable properties.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `DrawingAttributes`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If props equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getPropertyInfo

    public java.util.Properties getPropertyInfo(java.util.Properties props)

  PropertyConsumer method that gathers information about the settable properties.

  Specified by:
    `getPropertyInfo` in interface `PropertyConsumer`
  Overrides:
    `getPropertyInfo` in class `DrawingAttributes`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### setTo

    public void setTo(OMGraphic omg,
                      int id)

  Set the attributes chosen in the GUI on the OMGraphic.

  Parameters:
    `omg` - the OMGraphic to set the attribute information on.
    `id` - The ID number of the map feature that the OMGraphic represents.

### getAttributeCol

    protected int getAttributeCol()

  Retrieve the column index number out of the feature class info file that is being used/displayed.

  Returns:
    column index of attribute information.

### setAttributeCol

    protected void setAttributeCol(int col)

  Set the column index number in the feature class info file that will be used/displayed.

### getGUI

    public java.awt.Component getGUI()

  Return the GUI controls for this feature = the basic DrawingAttributes GUI from the superclass, plus the other attribute display controls.

  Overrides:
    `getGUI` in class `DrawingAttributes`
  Returns:
    JButton returns a JButton that triggers a pop-up menu.

### updateAttributeGUI

    protected void updateAttributeGUI()

### getDisplayType

    public java.lang.String getDisplayType()

  Returns:
    Returns the displayType.

### setDisplayType

    public void setDisplayType(java.lang.String displayType)

  Parameters:
    `displayType` - The displayType to set.

### getFci

    public FeatureClassInfo getFci()

  Returns:
    Returns the fci.

### setFci

    public void setFci(FeatureClassInfo fci)

  Parameters:
    `fci` - The fci to set.

### getAttributeColName

    public java.lang.String getAttributeColName()

  Returns:
    Returns the attributeColName.

### setAttributeColName

    public void setAttributeColName(java.lang.String attributeColName)

  Parameters:
    `attributeColName` - The attributeColName to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details